Subject: Re: [X2Go-Dev] Bug#1200: Environment variables not set

From: Bruno CAPELETO <[email-masked]>
Date: Tue, 5 Sep 2017 09:07:39 +0200

I did dpkg-reconfigure locales as root.

Then I get :

~# locale
LANG=fr_FR.UTF-8
LANGUAGE=
LC_CTYPE="fr_FR.UTF-8"
LC_NUMERIC="fr_FR.UTF-8"
LC_TIME="fr_FR.UTF-8"
LC_COLLATE="fr_FR.UTF-8"
LC_MONETARY="fr_FR.UTF-8"
LC_MESSAGES="fr_FR.UTF-8"
LC_PAPER="fr_FR.UTF-8"
LC_NAME="fr_FR.UTF-8"
LC_ADDRESS="fr_FR.UTF-8"
LC_TELEPHONE="fr_FR.UTF-8"
LC_MEASUREMENT="fr_FR.UTF-8"
LC_IDENTIFICATION="fr_FR.UTF-8"
LC_ALL=

But when I ssh with my user login (my x2go user), I get :

~#locale
LANG=
LANGUAGE=
LC_CTYPE="POSIX"
LC_NUMERIC="POSIX"
LC_TIME="POSIX"
LC_COLLATE="POSIX"
LC_MONETARY="POSIX"
LC_MESSAGES="POSIX"
LC_PAPER="POSIX"
LC_NAME="POSIX"
LC_ADDRESS="POSIX"
LC_TELEPHONE="POSIX"
LC_MEASUREMENT="POSIX"
LC_IDENTIFICATION="POSIX"
LC_ALL=

Obviously the dpkg-reconfigure locales did not set the locales system-wide.
I am working in this direction, still any help is appreciated (even if it
now looks like a ssh/locales-related issue...)

2017-09-05 8:35 GMT+02:00 Ulrich Sibiller <[email-masked]>:

> Maybe you could provide a VM with the non-working Installation so we can
> have a look at it.
>
> Uli
> ------------------------------
> Von: Bruno CAPELETO <[email-masked]>
> Gesendet: ‎05.‎09.‎2017 08:10
> An: Mihai Moldovan <[email-masked]>
> Cc: [email-masked]
> Betreff: [X2Go-Dev] Bug#1200: Environment variables not set
>
> Dear Mihai,
>
> What good piece of news to start the day with !!!
>
> So you do not see that "bug" on a fresh install. Unfortunately I see it,
> and also on a fresh install. It is even worse : I see it on 3 fresh server
> installs :
> - Ubuntu 14.04.4 LTS (old installation)
> - Debian GNU/Linux 8
> - Debian GNU/Linux 9
>
> So it seems that I do not install the same way as the others. Let me give
> the details :
> - installation in text mode (as these are remote servers)
> - installation of LXDE *only* (tasksel : LXDE and ssh)
> - installation of X2Go
>
> On the 2 systems I could test locally (Debian 8 and Debian 9), the French
> locales are set properly when the user starts a local X session (the menu
> is in French).
> However, on a remote X2Go session, the menu always appears in English (no
> need to start the software).
>
> Thanks for your help,
> Bruno
>
> 2017-09-05 5:34 GMT+02:00 Mihai Moldovan <[email-masked]>:
>
>> On 09/04/2017 05:44 PM, Bruno CAPELETO wrote:
>> > People in Laurux's forum have reported this software works in single
>> app mode
>> > but on an Ubuntu server.
>>
>> Okay, I have just tried to reproduce your issues in a new, fresh Debian
>> Stretch
>> VM. Only installed the core system, x2goserver, x2goserver-xsession, lxde
>> and
>> gambas3.
>>
>> Then (since I installed the system using the en_US.utf8 locale), ran
>> dpkg-reconfigure locales, selected fr_FR.* to be generated and set the
>> default
>> locale to fr_FR.utf8.
>>
>> Started up a new X2Go session (desktop session, LXDE) and was greeted by a
>> French-speaking LXDE instance (with some English text from the clipboard
>> manager, that does not seem to have a French localization. No problem.)
>>
>> Afterwards, started gambas3 in the LXDE desktop session. Worked fine. And
>> showed
>> up in French.
>>
>>
>> Next up: started gambas3 in single application mode. Came up fine and in
>> French.
>>
>>
>> And just for fun, I then went on, downloaded Laurux3.tar.gz from the
>> website
>> (since this software doesn't seem to be packaged within Debian
>> directly...),
>> installed gambas3-gb-qt4 and gambas3-gb-qt4-ext (since it looked like
>> these
>> modules were missing) and started Laurux3.gambas in the LXDE instance. It
>> greeted me in French with a dialog to setup MySQL. I skipped this and
>> Gambas3-Laurux started up. Again, everything was in French.
>>
>> Last thing: started /home/ionic/applications/Laurux3/Laurux3.gambas
>> (obviously
>> the path I extracted it to) in a single application session. Again, I was
>> greeted by the dialog to create a MySQL database. Skipped this, and
>> Laurux-Gambas came up. All in French. It looked weird, but that's because
>> in
>> single application mode, we don't yet have an XSETTINGS daemon running
>> that
>> would enable Qt4 to look up its theme settings, so a ugly fallback theme
>> is
>> being used by default.
>>
>>
>> So far, I'm unable to reproduce any issue (and curiously, the Laurux
>> version
>> from their homepage seems to be using Qt4 instead of Qt5 as well, so I
>> wonder
>> how you came up with Qt4 before.)
>>
>> I wasn't able to test the double-clicking issue, since all tests were
>> carried
>> out using X2Go Client on Linux.
>>
>>
>> I'd like to understand why your env variables are not being set
>> correctly, but
>> it doesn't seem to be systematic X2Go bug. With a cleanly installed
>> system, this
>> does not seem to happen.
>>
>>
>>
>> Mihai
>>
>>
>